Ruby: pm_index_target_node Struct Reference

Ruby 3.4.6p54 (2025-09-16 revision dbd83256b1cec76c69756ecb8758b9e1079833de)

Data Fields
pm_index_target_node Struct Reference

IndexTargetNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
struct pm_node * | receiver
| IndexTargetNode#receiver.
pm_location_t | opening_loc
| IndexTargetNode#opening_loc.
struct pm_arguments_node * | arguments
| IndexTargetNode#arguments.
pm_location_t | closing_loc
| IndexTargetNode#closing_loc.
struct pm_block_argument_node * | block
| IndexTargetNode#block.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
uint32_t | node_id
| The unique identifier for this node, which is deterministic based on the source.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

IndexTargetNode.

Represents assigning to an index.

    foo[bar], = 1
    ^^^^^^^^

    begin
    rescue => foo[bar]
              ^^^^^^^^
    end

    for foo[bar] in baz do end
        ^^^^^^^^

Type: ::PM_INDEX_TARGET_NODE

Flags (#pm_call_node_flags):

- ::PM_CALL_NODE_FLAGS_SAFE_NAVIGATION
- ::PM_CALL_NODE_FLAGS_VARIABLE_CALL
- ::PM_CALL_NODE_FLAGS_ATTRIBUTE_WRITE
- ::PM_CALL_NODE_FLAGS_IGNORE_VISIBILITY

Definition at line 4930 of file ast.h.

## Field Documentation

## ◆ arguments

struct pm_arguments_node* pm_index_target_node::arguments

IndexTargetNode#arguments.

Definition at line 4948 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

## ◆ base

pm_node_t pm_index_target_node::base

The embedded base node.

Definition at line 4932 of file ast.h.

Referenced by pm_dump_json().

## ◆ block

struct pm_block_argument_node* pm_index_target_node::block

IndexTargetNode#block.

Definition at line 4958 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

## ◆ closing_loc

pm_location_t pm_index_target_node::closing_loc

IndexTargetNode#closing_loc.

Definition at line 4953 of file ast.h.

Referenced by pm_dump_json().

## ◆ opening_loc

pm_location_t pm_index_target_node::opening_loc

IndexTargetNode#opening_loc.

Definition at line 4943 of file ast.h.

Referenced by pm_dump_json().

## ◆ receiver

struct pm_node* pm_index_target_node::receiver

IndexTargetNode#receiver.

Definition at line 4938 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

The documentation for this struct was generated from the following file:

- prism/ast.h